function funct_xcachesourceinstall {

    echo "*************************************************"
    cecho "* Installing XCache" $boldgreen
    echo "*************************************************"

    cd /svr-setup

    if [ -s xcache-${XCACHE_VERSION}.tar.gz ]; then
        cecho "xcache ${XCACHE_VERSION} Archive found, skipping download..." $boldgreen
    else
        $DOWNLOADAPP http://xcache.lighttpd.net/pub/Releases/${XCACHE_VERSION}/xcache-${XCACHE_VERSION}.tar.gz $WGETRETRY
    fi

echo

#read -p "Does this server have less than <=2048MB of memory installed ? [y/n]: " lessxcachemem

#echo
#echo

if [[ "$lessxcachemem" = [yY] ]]; then

echo $lessxcachemem

echo -e "\nCopying xcache-min.ini >> /usr/local/lib/php.ini\n"
    cat $CUR_DIR/config/xcache/xcache-min.ini >> /usr/local/lib/php.ini

else

echo $lessxcachemem

echo -e "\nCopying xcache.ini >> /usr/local/lib/php.ini\n"
    cat $CUR_DIR/config/xcache/xcache.ini >> /usr/local/lib/php.ini

fi

    export PHP_AUTOCONF=/usr/bin/autoconf
    export PHP_AUTOHEADER=/usr/bin/autoheader

    tar xvfz xcache-${XCACHE_VERSION}.tar.gz
    cd xcache-${XCACHE_VERSION}
    /usr/local/bin/phpize
    ./configure --enable-xcache --with-php-config=/usr/local/bin/php-config
    make && make install

cecho "---------------------------------------------" $boldyellow

}

xcacheinstall_ask() {

ASK "Install XCache? (By default uses 32MB RAM) If XCache installed DO NOT install APC [y/n] "

if [[ "$key" = [yY] ]];
then

xcacheinstallcheck='y'

funct_xcachesourceinstall

#######################################################
# check to see myxcacheadmin directory already exists

if [ ! -d /usr/local/nginx/html/myxcacheadmin ]; then

    echo ""
    cecho "Creating xcache admin directory at /usr/local/nginx/html/myxcacheadmin " $boldgreen

mkdir /usr/local/nginx/html/myxcacheadmin

cp -a admin/* /usr/local/nginx/html/myxcacheadmin
chown -R nginx:nginx /usr/local/nginx/html/myxcacheadmin

    echo ""
    echo "*************************************************"
    cecho "Setup Xcache Admin Password for /usr/local/nginx/html/myxcacheadmin" $boldgreen
    echo "*************************************************"
    echo -n "(Type password your want to set and press Enter): "
read xcachepassword

xcachepass="`echo -n "${xcachepassword}" | md5sum | awk '{ print $1 }'`"

cecho "old password: `grep xcache.admin.pass /usr/local/lib/php.ini | awk '{ print $3 }' | sed -e 's/"//g'`" $boldgreen
cecho "new password: ${xcachepass}" $boldgreen
cecho "xcache username: `grep xcache.admin.user /usr/local/lib/php.ini | awk '{ print $3 }' | sed -e 's/"//g'`" $boldgreen

    sed -i "s/d440aed189a13ff970dac7e7e8f987b2/${xcachepass}/g" /usr/local/lib/php.ini

cecho "php.ini now has xcache.admin.pass set as follows: :" $boldgreen
cecho "`cat /usr/local/lib/php.ini | grep xcache.admin.pass`" $boldgreen

else

    echo "*************************************************"
    cecho "Xcache admin page already exists" $boldgreen
    cecho "at /usr/local/nginx/html/myxcacheadmin" $boldgreen
    echo "*************************************************"

fi # check to see myxcacheadmin directory already exists

    /etc/init.d/php-fpm restart
    echo "*************************************************"
    cecho "* XCache installed" $boldgreen
    echo "*************************************************"
fi


}